Subject: bug#76691: `display-monitor-attributes-list` not working properly on macOS

From: Ship Mints <[email-masked]>
Date: Tue, 4 Mar 2025 08:26:21 -0500

On Tue, Mar 4, 2025 at 8:23 AM Ship Mints <[email-masked]> wrote:

> On Tue, Mar 4, 2025 at 8:19 AM Robert Pluim <[email-masked]> wrote:
>
>>
>> See also bug#34516, which has a patch from me to invent monitor names
>> on macOS.
>>
>> That bug also points at code from <https://github.com/glfw/glfw>,
>> which someone motivated could perhaps copy.
>>
>
> Good idea, but they use IODisplayConnect which, sadly, is not supported on
> Apple Silicon so we'll have to come up with a solution that works for both
> Intel and M.
>

I do see a reference in their code to NSScreen localizedName so maybe that
still works.  I'll experiment with that.